#ifndef ENNEMI_H
#define ENNEMI_H 

#include "box.h"

#define NONE 0
#define GOOMBA 1

#define DEAD -1
#define STATE1 0
#define STATE2 1
#define STATE3 2

typedef struct 
{
	int type;
	box_t b;
	int p1;
	int discovered;
	int life;
} ennemi_t;

void display_ennemi(ennemi_t * e);

extern ennemi_t * ennemis_global;
extern int ennemis_global_size;
void display_ennemi_table();

#endif